API referenceWhatsApp
GET /whatsapp/numbers/available
Numbers (voice + SMS) Postgale can buy now, with Postgale's monthly price. 403 numbers_disabled unless WHATSAPP_NUMBERS_ENABLED=1
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
country?stringCountry
Default
"US"Value in
"US""CA"areaCode?string3-digit area code
Match
^\d{3}$contains?stringDigits the number contains
Match
^\d{1,10}$limit?integerMaximum items (default 10, max 50)
Range
1 <= value <= 50Default
10{provider, country, priceCents, currency, numbers}
application/json- response
provider?stringcountry?stringpriceCents?integercurrency?stringnumbers?array<>curl -X GET 'https://example.com/api/v1/whatsapp/numbers/available'Example Response
{ "provider": "string", "country": "string", "priceCents": 0, "currency": "string", "numbers": [ { "phoneNumber": "string", "countryCode": "string", "locality": "string", "region": "string", "features": [ "string" ], "priceCents": 0, "currency": "string" } ]}